### Type parameters

- #### TReturn

- #### TParentReturn

### Hierarchy

- ComposableTask<TReturn>
  - ComputeFaceDescriptorsTaskBase
    - ComputeAllFaceDescriptorsTask
    - ComputeSingleFaceDescriptorTask

## Index

### Constructors

- constructor

### Methods

- run
- then

## Constructors

### constructor

- new ComputeFaceDescriptorsTaskBase<TReturn, TParentReturn>(parentTask: ComposableTask<TParentReturn> | Promise<TParentReturn>, input: any): ComputeFaceDescriptorsTaskBase<TReturn, TParentReturn>

- Overrides ComposableTask.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:12

  #### Type parameters

  - #### TReturn

  - #### TParentReturn

  #### Parameters

  - ##### parentTask: ComposableTask<TParentReturn> | Promise<TParentReturn>

  - ##### input: any

  #### Returns ComputeFaceDescriptorsTaskBase<TReturn, TParentReturn>

## Methods

### run

- run(): Promise<TReturn>

- Inherited from ComposableTask.run

  - Defined in globalApi/ComposableTask.ts:7

  #### Returns Promise<TReturn>

### then

- then(onfulfilled: (value: TReturn) => TReturn | PromiseLike<TReturn>): Promise<TReturn>

- Inherited from ComposableTask.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: TReturn) => TReturn | PromiseLike<TReturn>

    - - (value: TReturn): TReturn | PromiseLike<TReturn>

      - #### Parameters

        - ##### value: TReturn

        #### Returns TReturn | PromiseLike<TReturn>

  #### Returns Promise<TReturn>